import pandas as pd


def build_df(objs: list[dict[str, any]]) -> pd.DataFrame:
    df = pd.DataFrame.from_records(objs)
    df.set_index('id', drop=True, inplace=True)
    df.sort_index(inplace=True)
    return df
