# Define regular expressions to remove unwanted content from issue text

extra_stopwords = [
    r'http(s)?://\S+',  # Any http(s) url
    r'[^a-zA-Z0-9_ \n]',  # Any non-word character
]

# Define labels to remove unwanted issues

labels_blacklist = [
    r'^\*english-please$',
    r'^caused-by-extension$',
    r'^info-needed$',
    r'^invalid$',
    r'^\*off-topic$',
    r'^translation-required(-\w+)+$',
]
